module dmd.templates.Util;

import dmd.Dsymbol;
import dmd.Type;
import dmd.Expression;

version (DMDV2) {
	Object objectSyntaxCopy(Object o)
	{
		if (!o)
			return null;

		Type t = isType(o);
		if (t)
			return t.syntaxCopy();

		Expression e = isExpression(o);
		if (e)
			return e.syntaxCopy();

		return o;
	}
}